#include "xmalloc_new_delete.h"
#include "vkn/vulkan_module.h"
#include "vkn/loader/vulkan_glsl_loader.h"
#include "pmr/frame_allocator.h"
using namespace vkn;
void VulkanModule::OnLoad(int argc, char** argv)
{
	VulkanGlslLoader::Init();
}

void VulkanModule::OnUnload()
{
}
void VulkanModule::InitMetaData()
{
		mInfo.name = "vulkan";
	mInfo.dependencies =  {
 		{"engine", "1.0.1", "shared" }
	};
}